#! /bin/sh

echo " *** SETUP ENV"

python3 -m venv pamhyrBuild
source pamhyrBuild/bin/activate
pip3 install -r ../requirements.txt

echo " *** PYINSTALL"

pyinstaller --paths pamhyrBuild/lib/python3.8/site-packages ../src/pamhyr.py

echo " *** COPY DATA"

mkdir -p dist/pamhyr/View/ui
cp -r ../src/View/ui/ressources/ dist/pamhyr/View/ui/
cp -r ../src/View/ui/Widgets/*.ui dist/pamhyr/View/ui/
cp -r ../src/View/ui/*.ui dist/pamhyr/View/ui/

echo " *** MAKE PACKAGE"

OLD_PWD=$PWD
cd dist/
tar --xz -cf pamhyr-gnulinux-amd64.tar.xz pamhyr
cd $OLD_PWD

mv dist/pamhyr-gnulinux-amd64.tar.xz ./
